Bug 106326 - Android: Change font / background color
Summary: Android: Change font / background color
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Android Viewer (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium enhancement
Assignee: Mert Tumer
URL:
Whiteboard: target:6.1.0
Keywords:
Depends on:
Blocks: mabAndroid
  Show dependency treegraph
 
Reported: 2017-03-04 23:08 UTC by Tomaz Vajngerl
Modified: 2018-02-06 10:51 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tomaz Vajngerl 2017-03-04 23:08:21 UTC
Description:
Currently, it is not possible to change the font or background. 

To change the color we need to send the ".uno:Color" UNO command with json content:

"Color": { "type": "long", "value": 16750848 }

where the color is specified as the value - 32bit value 

For background color it is ".uno:BackColor" as the UNO command name but the same content.

In addition a color picker is needed for the UI. 


Steps to Reproduce:
.

Actual Results:  
.

Expected Results:
.


Reproducible: Always

User Profile Reset: No

Additional Info:


User-Agent: Mozilla/5.0 (X11; Fedora; Linux x86_64; rv:51.0) Gecko/20100101 Firefox/51.0
Comment 1 Mert Tumer 2017-03-19 13:38:18 UTC
I'm working on it
Comment 2 Tomaz Vajngerl 2017-03-19 22:27:05 UTC
The commit http://cgit.freedesktop.org/libreoffice/core/commit/?id=382f9f744652d6ae1482910ec62513d6ea94863c should interfere with this. I suggest you pull the new code from master...
Comment 3 Mert Tumer 2017-03-19 23:17:41 UTC
Okay thanks for the heads up
Comment 4 Commit Notification 2018-01-30 01:21:13 UTC
Mert Tümer committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3deac9691011711a3b9e50d19499c588af074d7f

[Pardus] tdf#106326 ability to change font background color

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.